# coding: utf-8
#!/usr/bin/env python
import urllib2, re, os, xbmcgui, xbmc
from BeautifulSoup import BeautifulSoup
from datetime import datetime
import simplejson as json

user_agent = 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3'

def fetchPage(url):
	req = urllib2.Request(url)
	req.add_header('User-Agent', user_agent)
	response = urllib2.urlopen(req)
	html = response.read()
	response.close()
	return html

def getPopularImages():
	images = []
	html = fetchPage("http://www.flickmylife.com/")
	soup = BeautifulSoup(html)
	ul = soup.find("ul", attrs={"id": "pop-widget-viewed"})
	for li in ul.findAll("li"):
		images.append({"name":li.a.contents[0].encode('iso-8859-1'), "path":loadPopularImageFromUrl(li.a['href'])})
	return images

def loadPopularImageFromUrl(url):
	html = fetchPage(url)
	soup = BeautifulSoup(html)
	posts = soup.findAll("div", "post-detail")
	return posts[0].find('img')['src']

def getAllImages(pageNr):
	images = []
	if pageNr == '1':
		html = fetchPage('http://www.flickmylife.com/')
	else:
		html = fetchPage('http://www.flickmylife.com/page/' + pageNr)
	
	soup = BeautifulSoup(html)
	posts = soup.findAll("div", "post-full")
	for post in posts:
		#images.append({"name":"nafn", "path":"path", "thumbnail":"thumb"})
		images.append({"name":post.h2.a.contents[0].encode('iso-8859-1'), "path":post.find('img')['src'], "thumbnail":post.find('img')['src']})

	return images